Target version: Toolkit 0.1 Spent time: 0.50 hour

Description

I would like to add to distributions:

"catalogue.system": [ "", "" ],

"catalogue.system.version": [ "", "" ],

History

#1 - 2014-04-03 22:45 - Jan Moringen

Maybe

"catalogue.system.node-id": "NODE-ID",

"catalogue.system.version-node-ids": [ "NODE-ID", "NODE-ID" ],

?

#2 - 2014-04-03 23:31 - Florian Lier

"catalogue.system.node.id": "NODE-ID",

"catalogue.system.title": "TITLE",

"catalogue.system.version.node.id": [ "NODE-ID" ],

"catalogue.system.version.title": [ "TITLE" ]

 

If I am right, a distribution is always a version, e.g, nightly, 0.9, 0.7 so we don't need multiple

version id's per distro. Also, I would like to validate against the title and the NID.

#3 - 2014-04-03 23:38 - Jan Moringen

Florian Lier wrote:

If I am right, a distribution is always a version, e.g, nightly, 0.9, 0.7 so we don't need multiple version id's per distro.
Right. We don't have to use arrays then:

"catalogue.system.node.id": "NODE-ID",

"catalogue.system.title": "TITLE",

"catalogue.system.version.node.id": "NODE-ID",

"catalogue.system.version.title": "TITLE"

#4 - 2014-04-04 21:48 - Florian Lier

I added the fields to the toolkit-nightly master and the rsb-java project.

Syntax is as follows:

"catalogue.system.node.id":            "0",

"catalogue.system.title":                 "toolkit",

"catalogue.system.version.node.id": "0",

"catalogue.system.version.title":      "nightly",

 

"versions": [

        {

            "name":      "master",

            "catalogue.release.title": "master",

            "catalogue.release.nid":   "0",

            "variables": {

                "extra-requires":   [ [ "cmake", "RSBProtocol", "0.11" ],

                                      "@{next-value|[]}" ],

                "maven.properties": [ "pbuf.protoc=/usr/bin/protoc",

                                      "pbuf.protopath=${dependency-dir}/share/rsbprotocol0.11",

                                      "spread.daemon=${dependency-dir}/sbin/spread",

                                      "@{next-value|[]}" ]

            }

        },

        {

            "name":      "0.10",

            "catalogue.release.title": "0.10",

            "catalogue.release.nid":   "0",

                "variables": {

                "extra-requires":   [ [ "cmake", "RSBProtocol", "0.10" ],

                                      "@{next-value|[]}" ],

                "maven.properties": [ "pbuf.protoc=/usr/bin/protoc",

                                      "pbuf.protopath=${dependency-dir}/share/rsbprotocol0.10",

                                      "spread.daemon=${dependency-dir}/sbin/spread",

                                      "@{next-value|[]}" ]

            }

        },
#5 - 2014-04-05 16:39 - Florian Lier

I just realised we can provide the NID's for releases aka "branches" more easily, e.g,:

"branches":                   [ "master", "0.10", "0.9" ],

"catalogue.release.nid:   [ "234", "235", "236" ],

 

The title for the release is then $projectname-$branches[idx]

That way, we can omit filling out these values for the "version" field.

#6 - 2015-08-26 09:32 - Florian Lier

- Status changed from New to Closed

We should document mandatory fields, the generator and the sync tool are implicitly validating recipes now.
